Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.net
Class OutboundTcpConnectionPool

    java.lang.Object
      org.apache.cassandra.net.OutboundTcpConnectionPool

    public class OutboundTcpConnectionPool

extends java.lang.Object

Field Summary
`OutboundTcpConnection` | `ackCon`
`OutboundTcpConnection` | `cmdCon`

Method Summary
`java.net.Socket` | `newSocket()`
`void` | `reset(java.net.InetAddress remoteEP)` reconnect to @param remoteEP (after the current message backlog is exhausted).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cmdCon

    public final OutboundTcpConnection cmdCon

### ackCon

    public final OutboundTcpConnection ackCon

Method Detail

### reset

    public void reset(java.net.InetAddress remoteEP)

  reconnect to @param remoteEP (after the current message backlog is exhausted). Used by Ec2MultiRegionSnitch to force nodes in the same region to communicate over their private IPs.

  Parameters:
    `remoteEP` -

### newSocket

    public java.net.Socket newSocket()
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation